<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<html>
<head>
<title>Main.hs</title>
</head>
<head>
<link type='text/css' rel='stylesheet' href='liquid.css' />
</head>

<body>
<hr>
Put mouse over identifiers to see inferred types
<pre><span class=hs-linenum> 1: </span><span class='hs-comment'>{-# LANGUAGE OverloadedStrings #-}</span>
<span class=hs-linenum> 2: </span><span class='hs-keyword'>module</span> <span class='hs-conid'>Main</span> <span class='hs-keyword'>where</span>
<span class=hs-linenum> 3: </span>
<span class=hs-linenum> 4: </span><span class='hs-keyword'>import</span> <span class='hs-conid'>Web.Scotty</span>
<span class=hs-linenum> 5: </span>
<span class=hs-linenum> 6: </span><span class='hs-definition'>main</span> <span class='hs-keyglyph'>=</span> <span class='hs-varid'>scotty</span> <span class='hs-num'>3000</span> <span class='hs-varop'>$</span>
<span class=hs-linenum> 7: </span>  <span class='hs-varid'>get</span> <span class='hs-str'>"/:word"</span> <span class='hs-varop'>$</span> <span class='hs-keyword'>do</span>
<span class=hs-linenum> 8: </span>    <span class='hs-varid'>beam</span> <span class='hs-keyglyph'>&lt;-</span> <span class='hs-varid'>param</span> <span class='hs-str'>"word"</span>
<span class=hs-linenum> 9: </span>    <span class='hs-varid'>text</span> <span class='hs-varop'>$</span> <span class=hs-error><span class='hs-varid'>concat</span></span><span class=hs-error> </span><span class=hs-error><span class='hs-keyglyph'>[</span></span><span class=hs-error><span class='hs-str'>"&lt;h1&gt;Scotty, "</span></span><span class=hs-error><span class='hs-layout'>,</span></span><span class=hs-error> </span><span class=hs-error><span class='hs-varid'>beam</span></span><span class=hs-error><span class='hs-layout'>,</span></span><span class=hs-error> </span><span class=hs-error><span class='hs-str'>" me up!&lt;/h1&gt;"</span></span><span class=hs-error><span class='hs-keyglyph'>]</span></span>
<span class=hs-linenum>10: </span>
<span class=hs-linenum>11: </span><span class='hs-keyword'>data</span> <span class='hs-conid'>Frequency</span> <span class='hs-keyglyph'>=</span> <span class='hs-conid'>Day</span> <span class='hs-keyglyph'>|</span> <span class='hs-conid'>Week</span> <span class='hs-keyglyph'>|</span> <span class='hs-conid'>Month</span>
<span class=hs-linenum>12: </span>
<span class=hs-linenum>13: </span><span class='hs-keyword'>data</span> <span class='hs-conid'>Task</span> <span class='hs-keyglyph'>=</span> <span class='hs-conid'>Task</span>
<span class=hs-linenum>14: </span>  <span class='hs-layout'>{</span> <span class='hs-varid'>name</span> <span class='hs-keyglyph'>::</span> <span class='hs-conid'>String</span>
<span class=hs-linenum>15: </span>  <span class='hs-layout'>,</span> <span class='hs-varid'>frequency</span> <span class='hs-keyglyph'>::</span> <span class='hs-conid'>Frequency</span>
<span class=hs-linenum>16: </span>  <span class='hs-layout'>}</span>
<span class=hs-linenum>17: </span>
<span class=hs-linenum>18: </span><span class='hs-definition'>range</span> <span class='hs-varid'>lo</span> <span class='hs-varid'>hi</span>
<span class=hs-linenum>19: </span>  <span class='hs-keyglyph'>|</span> <span class='hs-varid'>lo</span> <span class='hs-varop'>&lt;=</span> <span class='hs-varid'>hi</span> <span class='hs-keyglyph'>=</span> <span class='hs-varid'>lo</span> <span class='hs-conop'>:</span> <span class='hs-varid'>range</span> <span class='hs-layout'>(</span><span class='hs-varid'>lo</span> <span class='hs-varop'>+</span> <span class='hs-num'>1</span><span class='hs-layout'>)</span> <span class='hs-varid'>hi</span>
<span class=hs-linenum>20: </span>  <span class='hs-keyglyph'>|</span> <span class='hs-varid'>otherwise</span> <span class='hs-keyglyph'>=</span> <span class='hs-conid'>[]</span>
</pre>
</body>
</html>